### Class

# Clutter LayoutMeta

#### Description [src]

    abstract class Clutter.LayoutMeta : GObject.Object
    {
      /* No available fields */
    }

Wrapper for actors inside a layout manager

`ClutterLayoutMeta` is a wrapper object created by `ClutterLayoutManager` implementations in order to store child-specific data and properties.

A `ClutterLayoutMeta` wraps a `ClutterActor` inside a container `ClutterActor` using a `ClutterLayoutManager`.

#### Ancestors

- GObject

#### Instance methods

###### clutter_layout_meta_get_actor

Retrieves the actor wrapped by `data`.

###### clutter_layout_meta_get_container

Retrieves the container using `data`.

###### clutter_layout_meta_get_manager

Retrieves the actor wrapped by `data`.

###### clutter_layout_meta_is_for

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.LayoutMeta:actor

The `ClutterActor` being wrapped by this `ClutterLayoutMeta`.

###### Clutter.LayoutMeta:container

The `ClutterActor` containing `ClutterLayoutMeta:actor`.

###### Clutter.LayoutMeta:manager

The `ClutterLayoutManager` that created this `ClutterLayoutMeta`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterLayoutMetaClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.